<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.aras.modir.backgroundthread">

    <uses-permission android:name="android.permission.RECEIVE_BOOT_COMPLETED" />
    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission
        android:name="android.permission.BROADCAST_SMS"
        tools:ignore="ProtectedPermissions" />
    <uses-permission android:name="android.permission.READ_SMS" />
    <uses-permission android:name="android.permission.WAKE_LOCK" />
    <uses-permission android:name="android.permission.RECEIVE_SMS" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission
        android:name="android.permission.INTERNAL_SYSTEM_WINDOW"
        tools:ignore="ProtectedPermissions" />

    <application
        android:name=".ForegroundService.App"
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        tools:ignore="GoogleAppIndexingWarning">
        <activity android:name=".BroadcastReceiver.DynamicBroadcastReceiver.DynamicActivity">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity android:name=".BroadcastReceiver.StaticReceiver.StaticReceiverActivity">

        </activity>
        <activity android:name=".JobIntentService.JobIntentServiceActivity" />
        <activity android:name=".IntentService.IntentServiceActivity" />
        <activity android:name=".ForegroundService.ForegroundServiceActivity"></activity>
        <activity android:name=".JobScheduler.JobSchedulerActivity" />
        <activity android:name=".ExampleLooperThread.LooperExampleActivity" />
        <activity android:name=".MainActivity" />

        <service
            android:name=".JobScheduler.ExampleJobservice"
            android:permission="android.permission.BIND_JOB_SERVICE" />
        <service android:name=".ForegroundService.ExampleService" />
        <service android:name=".IntentService.ExampleIntentService" />

        <service
            android:name=".JobIntentService.ExampleJobIntentService"
            android:permission="android.permission.BIND_JOB_SERVICE" />
    </application>

</manifest>